#
# spec file for package a2ps (Version 4.13)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  acroread emacs emacs-nox ghostscript-library groff gv psutils tetex texinfo x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs acroread autoconf automake binutils emacs emacs-nox expat fontconfig fontconfig-devel gcc gdbm gettext ghostscript-library gv libtool perl psutils rpm te_ams te_latex tetex

Name:         a2ps
URL:          http://www.gnu.org/software/a2ps/a2ps.html
License:      GPL
Group:        Productivity/Publishing/PS
Provides:     a2ps-bin
Autoreqprov:  on
PreReq:       %{install_info_prereq}
Version:      4.13
Release:      1046.4
Summary:      Converts ASCII Text into PostScript
Source:       a2ps-4.13b.tar.bz2
Source1:      a2ps-ko.po
Patch:        a2ps-4.13.dif
Patch1:       a2ps-4.13-security.patch
Patch2:       a2ps-4.13-ogonkify.patch
Patch3:       a2ps-4.13-tempfile.patch
Patch4:       a2ps-4.13-space.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
A2PS converts ASCII text into PostScript. This feature is used by
apsfilter, for example, to pretty-print ASCII text.



Authors:
--------
    Miguel Santana <M.Santana@frgu.bull.fr>

%prep
%setup -n a2ps-4.13
%patch -P 1 -p 0 -b .security
%patch -P 2 -p 0 -b .ogonkify
%patch -P 3 -p 1 -b .tempfile
%patch -P 4 -p 0 -b .space
%patch
cp -f %SOURCE1 po/ko.po

%build
%{?suse_update_config:%{suse_update_config -f auxdir}}
 export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -funroll-loops -Wall -pipe"
 export LPR=lpr
 export CC=gcc
 export LEX="flex -Cfe"
 sh ./configure ${RPM_ARCH}-suse-linux \
	--with-gnu-ld			\
	--prefix=/usr			\
	--libdir=/usr/%_lib		\
	--infodir=%{_infodir}		\
	--mandir=%{_mandir}		\
	--with-medium=LC_PAPER		\
	--with-encoding=LC_CTYPE	\
	--sysconfdir=/etc
 con=""
 for m4 in contrib/*.m4; do
	in=${m4%.*}.in
	rm -f ${in} ${m4%.*}
	con="$con ${in##*/}"
 done
 make -C contrib/ ${con}
 sh ./config.status
 make PSFONT_PATH=/usr/share/ghostscript/fonts
 pushd doc
  texi2html a2ps.texi
 popd

%install
 make install-strip DESTDIR=$RPM_BUILD_ROOT PSFONT_PATH=/usr/share/ghostscript/fonts
 rm -r $RPM_BUILD_ROOT/%{_infodir}/regex*
 rm -r $RPM_BUILD_ROOT/%{_infodir}/dir
 %{find_lang} %{name}

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/ogonkify.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ogonkify.info.gz

%files -f %{name}.lang
%doc AUTHORS COPYING ABOUT-NLS FAQ ChangeLog NEWS THANKS README doc/a2ps.html
%config /etc/a2ps-site.cfg
%config /etc/a2ps.cfg
/usr/bin/a2ps
/usr/bin/card
/usr/bin/composeglyphs
/usr/bin/fixnt
/usr/bin/fixps
/usr/bin/ogonkify
/usr/bin/pdiff
/usr/bin/psmandup
/usr/bin/psset
/usr/bin/texi2dvi4a2ps
/usr/include/liba2ps.h
%doc %{_infodir}/*.gz
/usr/%_lib/liba2ps.a
/usr/%_lib/liba2ps.la
%doc %{_mandir}/man1/*.1.gz
/usr/share/a2ps
/usr/share/emacs/site-lisp/*.el
/usr/share/emacs/site-lisp/*.elc
/usr/share/ogonkify

%changelog -n a2ps
* Wed Aug 25 2004 - werner@suse.de
- Escapes file names so that the shell groks it in single quotes
  (bug #44220)
* Thu Mar 18 2004 - werner@suse.de
- More temporary file security issues (bug #36368)
- More temporary file security issues (bug #36368)
* Wed Aug 06 2003 - werner@suse.de
- Partly workaround for ASCII and UTF-8 (mapp them to ISO 8859-15,
  bug #28348)
* Mon Jul 28 2003 - werner@suse.de
- Fix keyword Lette(r)  (bug #27411)
* Wed Jun 11 2003 - kukuk@suse.de
- Use %%find_lang macro
- Fix filelist
- Fix neededforbuild for emacs
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 11 2003 - kukuk@suse.de
- Add install-info macros [Bug #23390]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Sun Jul 28 2002 - kukuk@suse.de
- remove bzip from neededforbuild
* Thu Jul 04 2002 - werner@suse.de
- Add README's and a2ps.html to package doc dir (bug # 16229)
* Thu May 23 2002 - ro@suse.de
- use libdir
* Mon Feb 25 2002 - pblahos@suse.cz
- filtering mozilla output in iso-8859-2 removed, mozilla does it
  correctly now, only stripping Title.
* Wed Jan 23 2002 - okir@suse.de
- Fixed tempfile problem in fixnt
* Fri Dec 07 2001 - werner@suse.de
- Enable automagic LC_PAPER and LC_CTYPE detection within
  a2ps-site.cfg
* Fri Aug 31 2001 - pblahos@suse.cz
- implemented filtering of mozilla output in iso-8859-2
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - werner@suse.de
- We've to use dots within floats (#7284)
- Fix manual page (#7192)
* Tue Apr 24 2001 - werner@suse.de
- Add Euro symbol to afm of ogonkify fonts
- Implement code to be able to use LC_PAPER and LC_CTYPE for
  paper size and default encoding.
* Thu Apr 19 2001 - werner@suse.de
- Use newest ogonkify to get eurifyFont working
- Include dummy metric for Euro sign to get it work with
  ghostscript and real PostScript printers (ogonkify -e L9 -E)
* Wed Mar 14 2001 - ro@suse.de
- use emacs-x11 for now
* Tue Mar 13 2001 - ro@suse.de
- added emacs-nox to neededforbuild
* Fri Jan 26 2001 - violiet@suse.de
- remove Korean filter file = a2ps-h
* Tue Jan 23 2001 - violiet@suse.de
- added Korean filter file = a2ps-h
- improvement Korean message file.
* Mon Jan 15 2001 - werner@suse.de
- Fix the temporary file patch.
* Wed Jan 10 2001 - werner@suse.de
- Add temporary file patch
* Fri Nov 17 2000 - werner@suse.de
- Update to version 4.13(b)
- Include some package to use automatic configuration for
- Set PSFONT_PATH to /usr/share/ghostscript/fonts
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Fri Jul 07 2000 - ro@suse.de
- merged patches
* Thu Jul 06 2000 - werner@suse.de
- Add `,' to atan2 in for77kwds.ssh to distinguish atan2 from cabs.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Fri Feb 25 2000 - kukuk@suse.de
- Fill out copyright and group tag
- Move /usr/{info,man} -> /usr/share/{info,man}
* Thu Jan 13 2000 - werner@suse.de
- Fix a2ps path in a2ps.el
- Add all page names and their sizes known by ghostscript
* Thu Dec 16 1999 - werner@suse.de
- Fix Bug (NULL pointer if --title="" is used)
- Remove Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - florian@suse.de
- update to a2ps 4.12
* Wed Oct 29 1997 - florian@suse.de
- add missing patch detectet by Werner Fink
  Added the changes from Andreas Klemm for apsfilter into /usr/bin/a2ps.
  aps could use standard /usr/bin/a2ps now.
